Package org.jbpm.bpmn2.xml.elements

## Class DataAssociationFactory

- java.lang.Object
- - org.jbpm.bpmn2.xml.elements.DataAssociationFactory

-     public final class DataAssociationFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `DEFAULT_DIALECT` |
    `protected static String` | `LANG_EXPRESSION_ATTR` |
    `protected static String` | `USE_DEFINITION_LANGUAGE_PROPERTY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static String` | `getDialect​(Node node, Node from, Node to)` |
    `static boolean` | `isLegacyAssignment​(String source, List<Assignment> assignments)` |
    `static Assignment` | `readAssignment​(Node xmlNode)` |
    `static Assignment` | `readAssignment​(Node xmlNode, Map<String,​String> mapping)` |
    `static List<Assignment>` | `readAssignments​(Node subNode)` |
    `static void` | `readDataInputAssociation​(Node xmlNode, Map<String,​String> dataInputs, BiPredicate<String,​List<Assignment>> isLegacy, Consumer<DataAssociation> addAssignment, BiConsumer<String,​Object> legacyAssignment)` |
    `static DataAssociation` | `readDataOutputAssociation​(Node xmlNode, Map<String,​String> dataOutputs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LANG_EXPRESSION_ATTR

          protected static final String LANG_EXPRESSION_ATTR

      See Also:
        Constant Field Values

    - #### DEFAULT_DIALECT

          protected static final String DEFAULT_DIALECT

      See Also:
        Constant Field Values

    - #### USE_DEFINITION_LANGUAGE_PROPERTY

          protected static final String USE_DEFINITION_LANGUAGE_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### readDataOutputAssociation

          public static DataAssociation readDataOutputAssociation​(Node xmlNode,
                                                                  Map<String,​String> dataOutputs)

    - #### readDataInputAssociation

          public static void readDataInputAssociation​(Node xmlNode,
                                                      Map<String,​String> dataInputs,
                                                      BiPredicate<String,​List<Assignment>> isLegacy,
                                                      Consumer<DataAssociation> addAssignment,
                                                      BiConsumer<String,​Object> legacyAssignment)

    - #### isLegacyAssignment

          public static boolean isLegacyAssignment​(String source,
                                                   List<Assignment> assignments)

    - #### readAssignments

          public static List<Assignment> readAssignments​(Node subNode)

    - #### readAssignment

          public static Assignment readAssignment​(Node xmlNode)

    - #### readAssignment

          public static Assignment readAssignment​(Node xmlNode,
                                                  Map<String,​String> mapping)

    - #### getDialect

          protected static String getDialect​(Node node,
                                             Node from,
                                             Node to)